package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.service.process.model;

import cokr.xit.ens.modules.common.ctgy.intgrnbill.support.entity.Bill;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Getter
@EqualsAndHashCode
@Builder
public class PayResultData<DTL> {
    private Bill bill;
    private DTL billDetail;

    @Setter
    private ReqAndRespInf reqAndRespInf;

    public ReqAndRespInf getReqAndRespInf() {
        if (this.reqAndRespInf == null)
            this.reqAndRespInf = ReqAndRespInf.builder().build();
        return this.reqAndRespInf;
    }
}
